cURL
curl --request GET \ --url https://{APPLICATION_ID}.algolia.net/agent-studio/1/agents/{agent_id}/conversations/{conversation_id} \ --header 'X-Algolia-API-Key: <x-algolia-api-key>' \ --header 'X-Algolia-Application-Id: <x-algolia-application-id>'
{ "id": "<string>", "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "messages": [ { "id": "<string>", "conversationId": "<string>", "role": "user", "parts": [ { "text": "<string>", "type": "text" } ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "model": "<string>", "inputTokens": 123, "outputTokens": 123 } ], "title": "<string>", "lastActivityAt": "2023-11-07T05:31:56Z", "userToken": "<string>", "isFromDashboard": false, "messageCount": 0, "totalInputTokens": 0, "totalOutputTokens": 0, "totalTokens": 0 }
Retrieves the conversation and its messages for the given ID.
logs
Successful Response
Response model for a conversation with all its messages.
Show child attributes
Was this page helpful?